tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Hopf" <michael.ho...@epost.de>
Subject jaxp1.1 and tomcat 3.2.1 ?
Date Mon, 02 Apr 2001 10:21:00 GMT
hi,

our xml framework is build on the xerces1_2_3 and jaxp1.1.

A servlet that uses our xml stuff always throws a no such 
method error exactly in the line of code where the method
saxParser.getXMLReader() is called.

I assume that the jaxp.jar file in the $(TOMCAT_HOME)/lib 
directory is jaxp version 1.0.1 or older and that this 
causes the exception.

Whatever I do tomcat seems to use the jaxp classes 
(SaxParserFactory and SaxParser) from that jaxp.jar file. 

I tried to put the version 1.1 of jaxp.jar in the $(TOMCAT_HOME)/lib 
directory. But then tomcat does not start any more.

Is there a way of rucnning the to jaxp versions parallel ?
What do you suggest ?

Many thanks in advance, Michael
 
Mime
View raw message